# Summary

[Zebra](README.md)
- [User Documentation](user.md)
  - [Zebra System Requirements](user/requirements.md)
  - [Installing Zebra](user/install.md)
  - [Running Zebra](user/run.md)
  - [Tracing Zebra](user/tracing.md)
  - [Zebra Metrics](user/metrics.md)
  - [Lightwalletd](user/lightwalletd.md)
- [Developer Documentation](dev.md)
  - [Contribution Guide](CONTRIBUTING.md)
  - [Design Overview](dev/overview.md)
  - [Zebra RFCs](dev/rfcs.md)
    - [Pipelinable Block Lookup](dev/rfcs/0001-pipelinable-block-lookup.md)
    - [Parallel Verification](dev/rfcs/0002-parallel-verification.md)
    - [Inventory Tracking](dev/rfcs/0003-inventory-tracking.md)
    - [Asynchronous Script Verification](dev/rfcs/0004-asynchronous-script-verification.md)
    - [State Updates](dev/rfcs/0005-state-updates.md)
    - [Contextual Difficulty Validation](dev/rfcs/0006-contextual-difficulty.md)
    - [Zebra Client](dev/rfcs/0009-zebra-client.md)
    - [V5 Transaction](dev/rfcs/0010-v5-transaction.md)
    - [Async Rust in Zebra](dev/rfcs/0011-async-rust-in-zebra.md)
    - [Value Pools](dev/rfcs/0012-value-pools.md)
  - [Diagrams](dev/diagrams.md)
    - [Network Architecture](dev/diagrams/zebra-network.md)
  - [Continuous Integration](dev/continuous-integration.md)
  - [Continuous Delivery](dev/continuous-delivery.md)
  - [zebra-checkpoints](dev/zebra-checkpoints.md)
- [API Reference](api.md)
